Skip to main content

Default Workspace Base Environment

View as Markdown

A singleton resource representing the default workspace base environment configuration. This resource contains the workspace base environments that are used as defaults for serverless notebooks and jobs in the workspace, for both CPU and GPU compute types.

DefaultWorkspaceBaseEnvironment object

A singleton resource representing the default workspace base environment configuration. This resource contains the workspace base environments that are used as defaults for serverless notebooks and jobs in the workspace, for both CPU and GPU compute types.

namestring

The resource name of this singleton resource. Format: default-workspace-base-environment

cpu_workspace_base_environmentstring

The default workspace base environment for CPU compute. Format: workspace-base-environments/{workspace_base_environment}

gpu_workspace_base_environmentstring

The default workspace base environment for GPU compute. Format: workspace-base-environments/{workspace_base_environment}

Get GA

GET /api/environments/v1/{name=default-workspace-base-environment}

Gets the default WorkspaceBaseEnvironment configuration for the workspace. Returns the current default base environment settings for both CPU and GPU compute.

API scopes: environments

Parameters

namestringpath

A static resource name of the default workspace base environment. Format: default-workspace-base-environment

Response

Returns the DefaultWorkspaceBaseEnvironment object.

Update GA

PATCH /api/environments/v1/{default_workspace_base_environment.name=default-workspace-base-environment}

Updates the default WorkspaceBaseEnvironment configuration for the workspace. Sets the specified base environments as the workspace defaults for CPU and/or GPU compute.

API scopes: environments

Parameters

default_workspace_base_environmentobjectpath

Required. The default workspace base environment configuration to update.

Show child attributesHide child attributes
namestring

The resource name of this singleton resource. Format: default-workspace-base-environment

cpu_workspace_base_environmentstring

The default workspace base environment for CPU compute. Format: workspace-base-environments/{workspace_base_environment}

gpu_workspace_base_environmentstring

The default workspace base environment for GPU compute. Format: workspace-base-environments/{workspace_base_environment}

update_maskstringquery

Field mask specifying which fields to update. Use comma as the separator for multiple fields (no space). The special value '*' indicates that all fields should be updated (full replacement). Valid field paths: cpu_workspace_base_environment, gpu_workspace_base_environment

To unset one or both defaults, include the field path(s) in the mask and omit them from the request body. To unset both, you must list both paths explicitly — the wildcard '*' cannot be used to unset fields.

Response

Returns the DefaultWorkspaceBaseEnvironment object.